(in-package 'Common)
(use-package :oli)
(use-package :docu)

(sd-defdialog 'PartFlag
	:dialog-title   "Create Part Flag"
	:dialog-control :sequential-loop
	:toolbox-button nil
	:variables
	  '(
	  	(currentsketch)
	  	(owner				:selection (*sd-anno-view-seltype*)
	  	)
	  	(Insertpoint	:value-type :docupntcnp
	  								:after-input 
	  								(progn
	  									(sd-call-cmds 
	  									
	  										(sd-am-load-sketch :file_name "C:/FiTel/bom/fitelflagManual.mi"
																					 :position insertpoint
																					 :owner_type :2dview
																					 :owner owner
												)
											);sd-call-cmds
										);progn	
	  								:next-variable  'leaderpt1		
	  	)
	  	(leaderpt1		:value-type :docupntcnp
	  								:next-variable  'leaderpt2		
	  	)
	  	(leaderpt2		:value-type :docupntcnp
				  					:next-variable  (sd-accept-dialog)			                  
	  	)
	   )
	  :ok-action
	  '(progn
			(sd-call-cmds (AM_GEO_DEFAULT :color :color 16776960))
			(sd-am-create-geo-straight 	:2pos (list leaderpt1 leaderpt2)
																	:owner_type :2dview
																	:owner owner
			)
			(setq ballScale (/ (/ 1 (sd-am-view-struct-scale (sd-am-inq-view owner))) 2))
			(sd-am-create-geo-circular :radius (list leaderpt2 ballScale leaderpt2 (* ballScale .9) leaderpt2 (* ballScale .8) leaderpt2 (* ballScale .7) leaderpt2 (* ballScale .6) leaderpt2 (* ballScale .5) leaderpt2 (* ballScale .4) leaderpt2 (* ballScale .3) leaderpt2 (* ballScale .2) leaderpt2 (* ballScale .1))
																	:owner_type :2dview
																	:owner owner
			)

			(sd-call-cmds (AM_GEO_DEFAULT :color :RGB (gpnt3d (/ 255 255) (/ 255 255) (/ 255 255))))
		 )
);sd-defdialog 'PartFlag
